from ee.part import FactType


def make_fact_key(key: str):
    return "http://purl.org/ee/kicad-sch-fact-type#{}".format(key)

def make_custom_field_key(field_name: str):
    return "http://purl.org/ee/kicad-sch-custom-fact-type#{}".format(field_name)


value = FactType(make_fact_key("value"), "Value")
component = FactType(make_fact_key("component"), "Value")

symbol_library = FactType(make_fact_key("symbol-library"), "Value")
symbol_name = FactType(make_fact_key("symbol-name"), "Value")

footprint = FactType(make_fact_key("footprint"), "Value")
footprint_library = FactType(make_fact_key("footprint-library"), "Value")
footprint_name = FactType(make_fact_key("footprint-name"), "Value")
