import ee
from ee.part import EeValueFactType, fact_keys, FactType

footprint = FactType(fact_keys.footprint, "Footprint")

resistance = EeValueFactType(fact_keys.resistance, "Resistance", ee.resistance_type)
capacitance = EeValueFactType(fact_keys.capacitance, "Capacitance", ee.capacitance_type)
inductance = EeValueFactType(fact_keys.inductance, "Inductance", ee.inductance_type)

ee_component_type = EeValueFactType(fact_keys.ee_component_type, "EE component type", ee.capacitance_type)
