import pytest
from ee.part.bom import join_refs


@pytest.mark.parametrize("inputs, output", [
    [[], ""],
    [["C1"], "C1"],
    [["C1", "C2"], "C1,2"],
    [["C1", "C2", "C3", "C5", "C6", "C9"], "C1-3,5,6,9"],
])
def test_basic(inputs, output):
    assert output == join_refs(inputs)
