import pytest
import os.path
import ee.kicad.sexpr as sexpr

basedir = os.path.dirname(os.path.abspath(__file__))

def test_parsing():
    path = os.path.join(basedir, "kicad_pcb/parser-1.kicad_pcb")
    count = 0
    for (event, token) in sexpr.parse(path):
        count = count + 1
    assert count == 3699
